import { PythonObject } from '../types/python-object';
/**
 * @class main class representing a python instance.
 */
export default class Python {
    scope: string;
    statements: string[];
    static pythons: Python[];
    /**
     *
     * @param python Python instance
     */
    static constructPythonStatements(python: Python): Promise<void>;
    static scope(scope: string, callback: Function): Promise<void>;
    nA: (arg: any) => any;
    static exit: (scope: string) => Promise<void>;
    static convert: (object: PythonObject) => any;
    runshell: (shell: string) => void;
    import: (packageName: string) => PythonObject;
    install: (packageName: string, version?: string) => void;
    buildin: (functionName: string, object: PythonObject) => PythonObject;
    fromImport(packageName: string, importNames: string[]): PythonObject[];
    createNumber: (number: number) => PythonObject;
    createString: (string: string, isRaw?: boolean) => PythonObject;
    createBoolean: (value: boolean) => PythonObject;
    createNone: () => PythonObject;
    createTuple: (value: any[]) => PythonObject;
    createList: (value: any[]) => PythonObject;
    createSet: (value: any[]) => PythonObject;
    createDictionary: (value: any) => PythonObject;
    print: (object: PythonObject) => void;
    equal: (object1: PythonObject, object2: PythonObject) => PythonObject;
    notEqual: (object1: PythonObject, object2: PythonObject) => PythonObject;
    larger: (object1: PythonObject, object2: PythonObject) => PythonObject;
    smaller: (object1: PythonObject, object2: PythonObject) => PythonObject;
    largerEqual: (object1: PythonObject, object2: PythonObject) => PythonObject;
    smallerEqual: (object1: PythonObject, object2: PythonObject) => PythonObject;
    and: (object1: PythonObject, object2: PythonObject) => PythonObject;
    or: (object1: PythonObject, object2: PythonObject) => PythonObject;
    not: (object: PythonObject) => PythonObject;
    if: (condition: PythonObject, execution: Function) => void;
    add: (object1: PythonObject, object2: PythonObject) => PythonObject;
    minus: (object1: PythonObject, object2: PythonObject) => PythonObject;
    multiply: (object1: PythonObject, object2: PythonObject) => PythonObject;
    divide: (object1: PythonObject, object2: PythonObject) => PythonObject;
    mod: (object1: PythonObject, object2: PythonObject) => PythonObject;
    pow: (object1: PythonObject, object2: PythonObject) => PythonObject;
    floorDivide: (object1: PythonObject, object2: PythonObject) => PythonObject;
    runRaw: (raw: string) => PythonObject;
}
